|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleHintReturn Class Reference

The QStyleHintReturn is used for style hints that return more than a simple int. More...

    #include <QStyleHintReturn>

Part of the QtGui module.

- List of all members, including inherited members

### Public Types

- enum HintReturnType { SH_Default, SH_Mask }

### Public Functions

- QStyleHintReturn ( int version = QStyleOption::Version, int type = SH_Default )
- ~QStyleHintReturn ()

### Related Non-Members

- T qstyleoption_cast ( const QStyleHintReturn * hint )
- T qstyleoption_cast ( QStyleHintReturn * hint )

## Detailed Description

The QStyleHintReturn is used for style hints that return more than a simple int.

QStyleHintReturn and its subclasses are used to pass information from a style back to the querying widget. This is most usefull when the return value from QStyle::styleHint() is not enough detail (for example when a mask is to be returned).

### --Sam

## Member Type Documentation

### enum QStyleHintReturn::HintReturnType

## Member Function Documentation

### QStyleHintReturn::QStyleHintReturn ( int version = QStyleOption::Version, int type = SH_Default )

Constructs a QStyleHintReturn with version version and type type.

The version has no special meaning for QStyleHintReturn; it can be used by subclasses to distinguish between different version of the same hint type.

See also version and type.

### QStyleHintReturn::~QStyleHintReturn ()

## Related Non-Members

### T qstyleoption_cast ( const QStyleHintReturn * hint )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Returns a T or 0 depending on the type and version of hint.

Example:

        int MyStyle::styleHint(StyleHint stylehint, const QStyleOption *opt,
                               const QWidget *widget, QStyleHintReturn* returnData) const;
        {
            if (stylehint == SH_RubberBand_Mask) {
                const QStyleHintReturnMask *maskReturn =
                        qstyleoption_cast<const QStyleHintReturnMask *>(hint);
                if (maskReturn) {
                    ...
                }
            }
            ...
        }

See also QStyleHintReturn::type and QStyleHintReturn::version.

### T qstyleoption_cast ( QStyleHintReturn * hint )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Returns a T or 0 depending on the type of hint.